<?php

namespace B2buy\Credit;

use User;

class Credit
{
    /**
     * $credit object.
     */
    protected $credit;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\Credit\Interfaces\CreditRepositoryInterface $credit)
    {
        $this->credit = $credit;
    }

    /**
     * Returns count of credit.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find credit by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function credit($slug)
    {
        return  $this->credit
            ->findBySlug($slig)
            ->toArray();
    }
}
