<?php

namespace B2buy\Credit\Seeds;

use DB;
use Illuminate\Database\Seeder;

class CreditTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('credits')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'credit.credit.view',
                'name'      => 'View Credit',
            ],
            [
                'slug'      => 'credit.credit.create',
                'name'      => 'Create Credit',
            ],
            [
                'slug'      => 'credit.credit.edit',
                'name'      => 'Update Credit',
            ],
            [
                'slug'      => 'credit.credit.delete',
                'name'      => 'Delete Credit',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/credit/credit',
                'name'        => 'Credit',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/credit/credit',
                'name'        => 'Credit',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'credit',
                'name'        => 'Credit',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Credit',
                'module'    => 'Credit',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'credit.credit.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
