Lavalite package that provides credit management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/credit`.

    "b2buy/credit": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Credit\Providers\CreditServiceProvider::class,

And also add it to alias

    'Credit'  => B2buy\Credit\Facades\Credit::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\Credit\\Seeds\\CreditTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Credit\Providers\CreditServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Credit\Providers\CreditServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Credit\Providers\CreditServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/credit/{modulename}

**User**

    http://path-to-route-folder/user/credit/{modulename}

**Public**

    http://path-to-route-folder/credits


### API endpoints

**List**

    http://path-to-route-folder/api/user/credit/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/credit/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/credit/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/credit/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/credit/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/credit/{modulename}/{slug}
    METHOD: GET