<?php

// Web routes  for credit.

// Guard routes for credit
Route::prefix('{guard}/credit')->group(function () {
    Route::resource('credit', 'CreditResourceController');
});



// Public routes for credit
Route::get('credits/', 'CreditPublicController@index');
Route::get('credit/{slug?}', 'CreditPublicController@show');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for credit
            Route::prefix('{guard}/credit')->group(function () {
                Route::resource('credit', 'CreditResourceController');
            });
            
            

            // Public routes for credit
            Route::get('credits/', 'CreditPublicController@index');
            Route::get('credit/{slug?}', 'CreditPublicController@show');

        }
    );
}